> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user group

> Get a user group by ID.

**Note**:
- This endpoint is now in Beta, disabled for general availability at this time.
- Please note that this endpoint is available only for API keys with Admin permissions.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /management/user_groups/{groupId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /management/user_groups/{groupId}:
    get:
      tags:
        - User groups (Beta)
      summary: Get user group
      description: >
        Get a user group by ID.


        **Note**:

        - This endpoint is now in Beta, disabled for general availability at
        this time.

        - Please note that this endpoint is available only for API keys with
        Admin permissions.
      operationId: getUserGroup
      parameters:
        - in: path
          required: true
          name: groupId
          description: The ID of the user group
          schema:
            type: string
      responses:
        '200':
          description: User group
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserGroupResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<UserGroupResponse>> =
            fireblocks.userGroupsBeta.getUserGroup(userGroupsBetaApiGetUserGroupRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<UserGroupResponse>> response =
            fireblocks.userGroupsBeta().getUserGroup(groupId);
        - lang: Python
          source: response = fireblocks.user_groups_beta.get_user_group(group_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    UserGroupResponse:
      type: object
      properties:
        name:
          type: string
        id:
          type: string
        memberIds:
          type: array
          items:
            type: string
        status:
          type: string
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````